Skip to content
Ona Docs

ListLoginProviders

POST/gitpod.v1.AccountService/ListLoginProviders

Lists available login providers with optional filtering.

Use this method to:

  • View supported authentication methods
  • Get provider-specific login URLs
  • Filter providers by invite

Examples

  • List all providers:

    Shows all available login providers.

    pagination:
      pageSize: 20
  • List for specific invite:

    Shows providers available for an invite.

    filter:
      inviteId: "d2c94c27-3b76-4a42-b88c-95a85e392c68"
    pagination:
      pageSize: 20
Query ParametersExpand Collapse
token: optional string
pageSize: optional number
maximum100
minimum0
Body ParametersJSONExpand Collapse
filter: optional object { email, inviteId }

filter contains the filter options for listing login methods

email: optional string

email is the email address to filter SSO providers by

inviteId: optional string

invite_id is the ID of the invite URL the user wants to login with

formatuuid
ReturnsExpand Collapse
allowCustom: optional boolean

allow_custom indicates whether custom SSO is allowed for this domain

loginProviders: optional array of LoginProvider { provider, loginUrl }
provider: string

provider is the provider used by this login method, e.g. “github”, “google”, “custom”

loginUrl: optional string

login_url is the URL to redirect the browser agent to for login, when provider is “custom”

ListLoginProviders

curl https://app.gitpod.io/api/gitpod.v1.AccountService/ListLoginProviders \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "allowCustom": true,
  "loginProviders": [
    {
      "provider": "provider",
      "loginUrl": "loginUrl"
    }
  ]
}
Returns Examples
{
  "pagination": {
    "nextToken": "nextToken"
  },
  "allowCustom": true,
  "loginProviders": [
    {
      "provider": "provider",
      "loginUrl": "loginUrl"
    }
  ]
}